package com.mysql.jdbc.exceptions.jdbc4;

import com.mysql.jdbc.ConnectionImpl;
import com.mysql.jdbc.SQLError;
import com.mysql.jdbc.StreamingNotifiable;
import java.sql.SQLRecoverableException;

/* loaded from: com_mysql_jdbc_exceptions_jdbc4.jar:com/mysql/jdbc/exceptions/jdbc4/CommunicationsException.class */
public class CommunicationsException extends SQLRecoverableException implements StreamingNotifiable {
    private String exceptionMessage;
    private boolean streamingResultSetInPlay = false;

    public CommunicationsException(ConnectionImpl conn, long lastPacketSentTimeMs, Exception underlyingException) {
        this.exceptionMessage = SQLError.createLinkFailureMessageBasedOnHeuristics(conn, lastPacketSentTimeMs, underlyingException, this.streamingResultSetInPlay);
    }

    @Override // java.lang.Throwable
    public String getMessage() {
        return this.exceptionMessage;
    }

    @Override // java.sql.SQLException
    public String getSQLState() {
        return "08S01";
    }

    public void setWasStreamingResults() {
        this.streamingResultSetInPlay = true;
    }
}
